Loading...
Searching...
No Matches
Selectors

## Classes

class | fastjet::Selector
| Class that encodes information about cuts and other selection criteria that can be applied to PseudoJet(s). More...
class | fastjet::SelectorWorker
| default selector worker is an abstract virtual base class More...

## Functions

Selector | fastjet::SelectorIdentity ()
Selector | fastjet::operator! (const Selector &s)
| logical not applied on a selector
Selector | fastjet::operator|| (const Selector &s1, const Selector &s2)
| logical or between two selectors
Selector | fastjet::operator&& (const Selector &s1, const Selector &s2)
| logical and between two selectors
Selector | fastjet::operator* (const Selector &s1, const Selector &s2)
| successive application of 2 selectors
Selector | fastjet::SelectorPtMin (double ptmin)
| select objects with pt >= ptmin
Selector | fastjet::SelectorPtMax (double ptmax)
| select objects with pt <= ptmax
Selector | fastjet::SelectorPtRange (double ptmin, double ptmax)
| select objects with ptmin <= pt <= ptmax
Selector | fastjet::SelectorEtMin (double Etmin)
| select objects with Et >= Etmin
Selector | fastjet::SelectorEtMax (double Etmax)
| select objects with Et <= Etmax
Selector | fastjet::SelectorEtRange (double Etmin, double Etmax)
| select objects with Etmin <= Et <= Etmax
Selector | fastjet::SelectorEMin (double Emin)
| select objects with E >= Emin
Selector | fastjet::SelectorEMax (double Emax)
| select objects with E <= Emax
Selector | fastjet::SelectorERange (double Emin, double Emax)
| select objects with Emin <= E <= Emax
Selector | fastjet::SelectorMassMin (double Mmin)
| select objects with Mass >= Mmin
Selector | fastjet::SelectorMassMax (double Mmax)
| select objects with Mass <= Mmax
Selector | fastjet::SelectorMassRange (double Mmin, double Mmax)
| select objects with Mmin <= Mass <= Mmax
Selector | fastjet::SelectorRapMin (double rapmin)
| select objects with rap >= rapmin
Selector | fastjet::SelectorRapMax (double rapmax)
| select objects with rap <= rapmax
Selector | fastjet::SelectorRapRange (double rapmin, double rapmax)
| select objects with rapmin <= rap <= rapmax
Selector | fastjet::SelectorAbsRapMin (double absrapmin)
| select objects with |rap| >= absrapmin
Selector | fastjet::SelectorAbsRapMax (double absrapmax)
| select objects with |rap| <= absrapmax
Selector | fastjet::SelectorAbsRapRange (double absrapmin, double absrapmax)
| select objects with absrapmin <= |rap| <= absrapmax
Selector | fastjet::SelectorEtaMin (double etamin)
| select objects with eta >= etamin
Selector | fastjet::SelectorEtaMax (double etamax)
| select objects with eta <= etamax
Selector | fastjet::SelectorEtaRange (double etamin, double etamax)
| select objects with etamin <= eta <= etamax
Selector | fastjet::SelectorAbsEtaMin (double absetamin)
| select objects with |eta| >= absetamin
Selector | fastjet::SelectorAbsEtaMax (double absetamax)
| select objects with |eta| <= absetamax
Selector | fastjet::SelectorAbsEtaRange (double absetamin, double absetamax)
| select objects with absetamin <= |eta| <= absetamax
Selector | fastjet::SelectorPhiRange (double phimin, double phimax)
| select objects with phimin <= phi <= phimax
Selector | fastjet::SelectorRapPhiRange (double rapmin, double rapmax, double phimin, double phimax)
| select objects with rapmin <= rap <= rapmax && phimin <= phi <= phimax
Selector | fastjet::SelectorNHardest (unsigned int n)
| select the n hardest objects
Selector | fastjet::SelectorCircle (const double radius)
| select objets within a distance 'radius' from the location of the reference jet, set by Selector::set_reference(...)
Selector | fastjet::SelectorDoughnut (const double radius_in, const double radius_out)
| select objets with distance from the reference jet is between 'radius_in' and 'radius_out'; the reference jet is set by Selector::set_reference(...)
Selector | fastjet::SelectorStrip (const double half_width)
| select objets within a rapidity distance 'half_width' from the location of the reference jet, set by Selector::set_reference(...)
Selector | fastjet::SelectorRectangle (const double half_rap_width, const double half_phi_width)
| select objets within rapidity distance 'half_rap_width' from the reference jet and azimuthal-angle distance within 'half_phi_width'; the reference jet is set by Selector::set_reference(...)
Selector | fastjet::SelectorPtFractionMin (double fraction)
| select objects that carry at least a fraction "fraction" of the reference jet.
Selector | fastjet::SelectorIsZero ()
| select PseudoJet with 0 momentum
Selector | fastjet::SelectorIsPureGhost ()
| select objects that are (or are only made of) ghosts.

## Detailed Description

## Function Documentation

## SelectorIdentity()

Selector fastjet::SelectorIdentity | ( |  | ) |

Definition at line 259 of file Selector.cc.

## operator!()

Selector fastjet::operator! | ( | const Selector & | s | ) |

logical not applied on a selector

This will keep objects that do not pass the 's' selector

Definition at line 333 of file Selector.cc.

## operator||()

Selector fastjet::operator|| | ( | const Selector & | s1,
|  | const Selector & | s2 )

logical or between two selectors

this will keep the objects that are selected by s1 or s2

Definition at line 519 of file Selector.cc.

## operator&&()

Selector fastjet::operator&& | ( | const Selector & | s1,
|  | const Selector & | s2 )

logical and between two selectors

this will keep the objects that are selected by both s1 and s2

watch out: for both s1 and s2, the selection is applied on the original list of objects. For successive applications of two selectors (convolution/multiplication) see the operator *

Definition at line 443 of file Selector.cc.

## operator*()

Selector fastjet::operator* | ( | const Selector & | s1,
|  | const Selector & | s2 )

successive application of 2 selectors

Apply the selector s2, then the selector s1.

watch out: the operator * acts like an operator product i.e. does not commute. The order of its arguments is therefore important. Whenever they commute (in particluar, when they apply jet by jet), this would have the same effect as the logical &&.

Definition at line 559 of file Selector.cc.

## SelectorPtMin()

Selector fastjet::SelectorPtMin | ( | double | ptmin | ) |

select objects with pt >= ptmin

Definition at line 681 of file Selector.cc.

## SelectorPtMax()

Selector fastjet::SelectorPtMax | ( | double | ptmax | ) |

select objects with pt <= ptmax

Definition at line 686 of file Selector.cc.

## SelectorPtRange()

Selector fastjet::SelectorPtRange | ( | double | ptmin,
|  | double | ptmax )

select objects with ptmin <= pt <= ptmax

Definition at line 691 of file Selector.cc.

## SelectorEtMin()

Selector fastjet::SelectorEtMin | ( | double | Etmin | ) |

select objects with Et >= Etmin

Definition at line 706 of file Selector.cc.

## SelectorEtMax()

Selector fastjet::SelectorEtMax | ( | double | Etmax | ) |

select objects with Et <= Etmax

Definition at line 711 of file Selector.cc.

## SelectorEtRange()

Selector fastjet::SelectorEtRange | ( | double | Etmin,
|  | double | Etmax )

select objects with Etmin <= Et <= Etmax

Definition at line 716 of file Selector.cc.

## SelectorEMin()

Selector fastjet::SelectorEMin | ( | double | Emin | ) |

select objects with E >= Emin

Definition at line 731 of file Selector.cc.

## SelectorEMax()

Selector fastjet::SelectorEMax | ( | double | Emax | ) |

select objects with E <= Emax

Definition at line 736 of file Selector.cc.

## SelectorERange()

Selector fastjet::SelectorERange | ( | double | Emin,
|  | double | Emax )

select objects with Emin <= E <= Emax

Definition at line 741 of file Selector.cc.

## SelectorMassMin()

Selector fastjet::SelectorMassMin | ( | double | mmin | ) |

select objects with Mass >= Mmin

Definition at line 756 of file Selector.cc.

## SelectorMassMax()

Selector fastjet::SelectorMassMax | ( | double | mmax | ) |

select objects with Mass <= Mmax

Definition at line 761 of file Selector.cc.

## SelectorMassRange()

Selector fastjet::SelectorMassRange | ( | double | mmin,
|  | double | mmax )

select objects with Mmin <= Mass <= Mmax

Definition at line 766 of file Selector.cc.

## SelectorRapMin()

Selector fastjet::SelectorRapMin | ( | double | rapmin | ) |

select objects with rap >= rapmin

Definition at line 820 of file Selector.cc.

## SelectorRapMax()

Selector fastjet::SelectorRapMax | ( | double | rapmax | ) |

select objects with rap <= rapmax

Definition at line 825 of file Selector.cc.

## SelectorRapRange()

Selector fastjet::SelectorRapRange | ( | double | rapmin,
|  | double | rapmax )

select objects with rapmin <= rap <= rapmax

Definition at line 830 of file Selector.cc.

## SelectorAbsRapMin()

Selector fastjet::SelectorAbsRapMin | ( | double | absrapmin | ) |

select objects with |rap| >= absrapmin

Definition at line 875 of file Selector.cc.

## SelectorAbsRapMax()

Selector fastjet::SelectorAbsRapMax | ( | double | absrapmax | ) |

select objects with |rap| <= absrapmax

Definition at line 880 of file Selector.cc.

## SelectorAbsRapRange()

Selector fastjet::SelectorAbsRapRange | ( | double | rapmin,
|  | double | rapmax )

select objects with absrapmin <= |rap| <= absrapmax

Definition at line 885 of file Selector.cc.

## SelectorEtaMin()

Selector fastjet::SelectorEtaMin | ( | double | etamin | ) |

select objects with eta >= etamin

Definition at line 901 of file Selector.cc.

## SelectorEtaMax()

Selector fastjet::SelectorEtaMax | ( | double | etamax | ) |

select objects with eta <= etamax

Definition at line 906 of file Selector.cc.

## SelectorEtaRange()

Selector fastjet::SelectorEtaRange | ( | double | etamin,
|  | double | etamax )

select objects with etamin <= eta <= etamax

Definition at line 911 of file Selector.cc.

## SelectorAbsEtaMin()

Selector fastjet::SelectorAbsEtaMin | ( | double | absetamin | ) |

select objects with |eta| >= absetamin

Definition at line 927 of file Selector.cc.

## SelectorAbsEtaMax()

Selector fastjet::SelectorAbsEtaMax | ( | double | absetamax | ) |

select objects with |eta| <= absetamax

Definition at line 932 of file Selector.cc.

## SelectorAbsEtaRange()

Selector fastjet::SelectorAbsEtaRange | ( | double | absetamin,
|  | double | absetamax )

select objects with absetamin <= |eta| <= absetamax

Definition at line 937 of file Selector.cc.

## SelectorPhiRange()

Selector fastjet::SelectorPhiRange | ( | double | phimin,
|  | double | phimax )

select objects with phimin <= phi <= phimax

Definition at line 984 of file Selector.cc.

## SelectorRapPhiRange()

Selector fastjet::SelectorRapPhiRange | ( | double | rapmin,
|  | double | rapmax,
|  | double | phimin,
|  | double | phimax )

select objects with rapmin <= rap <= rapmax && phimin <= phi <= phimax

Note that this is essentially a combination of SelectorRapRange and SelectorPhiRange. We provide it as a Selector on its own in order to use the known area (which would otherwise be lost by the && operator)

Definition at line 1006 of file Selector.cc.

## SelectorNHardest()

Selector fastjet::SelectorNHardest | ( | unsigned int | n | ) |

select the n hardest objects

Definition at line 1074 of file Selector.cc.

## SelectorCircle()

Selector fastjet::SelectorCircle | ( | const double | radius | ) |

select objets within a distance 'radius' from the location of the reference jet, set by Selector::set_reference(...)

Definition at line 1154 of file Selector.cc.

## SelectorDoughnut()

Selector fastjet::SelectorDoughnut | ( | const double | radius_in,
|  | const double | radius_out )

select objets with distance from the reference jet is between 'radius_in' and 'radius_out'; the reference jet is set by Selector::set_reference(...)

Definition at line 1213 of file Selector.cc.

## SelectorStrip()

Selector fastjet::SelectorStrip | ( | const double | half_width | ) |

select objets within a rapidity distance 'half_width' from the location of the reference jet, set by Selector::set_reference(...)

Definition at line 1267 of file Selector.cc.

## SelectorRectangle()

Selector fastjet::SelectorRectangle | ( | const double | half_rap_width,
|  | const double | half_phi_width )

select objets within rapidity distance 'half_rap_width' from the reference jet and azimuthal-angle distance within 'half_phi_width'; the reference jet is set by Selector::set_reference(...)

Definition at line 1324 of file Selector.cc.

## SelectorPtFractionMin()

Selector fastjet::SelectorPtFractionMin | ( | double | fraction | ) |

select objects that carry at least a fraction "fraction" of the reference jet.

The reference jet must have been set with Selector::set_reference(...)

Definition at line 1365 of file Selector.cc.

## SelectorIsZero()

Selector fastjet::SelectorIsZero | ( |  | ) |

select PseudoJet with 0 momentum

Definition at line 1392 of file Selector.cc.

## SelectorIsPureGhost()

Selector fastjet::SelectorIsPureGhost | ( |  | ) |

select objects that are (or are only made of) ghosts.

PseudoJets for which has_area() are considered non-pure-ghost.

Definition at line 1420 of file Selector.cc.